Skip to main content
PATCH
Partially update a server

Authorizations

Authorization
string
header
required

JWT sent in Authorization: Bearer . Access depends on the token's network membership and permissions. The admin endpoint requires admin claims.

Headers

X-Network-ID
string
required

Network ID

Query Parameters

server_id
string
required

Server ID

Body

application/json

Server fields to update

Server fields to update

max_memory
integer
Example:

2048

max_players
integer
Example:

50

min_memory
integer
Example:

1024

properties
object
state
enum<string>
Available options:
QUEUED,
PREPARING,
STARTING,
AVAILABLE,
INGAME,
STOPPING,
CLEANUP,
STOPPED
Example:

"AVAILABLE"

Response

OK

Response for patching a server

server
object

Summary of a server for listing